% read in data
[n,P] = ReadInStart(18,'../ParameterHomotopy/finite_solutions');

% read in parameters
[nP,Param] = ReadInStart(1,'../ParameterHomotopy/final_parameters');
c = '';
for j = 1:nP
  c = [c,num2str(real(Param(j)),15)];
  if j < nP
    c = [c,','];
  end;
end;
disp(c);

% create 'solutions' file containing -- ordered so that first point has smallest imaginary part
for j = 1:n
    N1 = norm(imag(P(j,4:6)));
    N2 = norm(imag(P(j,7:9)));
    N3 = norm(imag(P(j,10:12)));

    if N1 <= N2 && N1 <= N3
        % leave alone
    elseif N2 <= N1 && N2 <= N3
        % reorder
        A = [P(j,[1:3,7:9,4:6,10:12,15:16,13:14,17:18])];
        P(j,:) = A;
    else
        % reorder
        A = [P(j,[1:3,10:12,4:6,7:9,17:18,13:14,15:16])];
        P(j,:) = A;
    end;
end;
CreateStart(P,n,18,'solutions');

